Client Invoices
Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Query parameters
Pageinteger · int32Optional
PageSizeinteger · int32Optional
Responses
200
OK
idstring · uuidOptional
invoiceNumberstring · nullableOptional
clientIdstring · uuidOptional
startPeriodstring · date-timeOptional
endPeriodstring · date-timeOptional
postingDatestring · date-timeOptional
subTotalnumber · doubleOptional
totalnumber · doubleOptional
dateCreatedstring · date-timeOptional
get/client-invoices
GET /client-invoices HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
200
OK
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"invoiceNumber": "text",
"clientId": "123e4567-e89b-12d3-a456-426614174000",
"startPeriod": "2026-01-01T00:00:00.000Z",
"endPeriod": "2026-01-01T00:00:00.000Z",
"postingDate": "2026-01-01T00:00:00.000Z",
"subTotal": 1,
"total": 1,
"dateCreated": "2026-01-01T00:00:00.000Z"
}
]Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Path parameters
idstring · uuidRequired
Responses
200
OK
idstring · uuidOptional
invoiceNumberstring · nullableOptional
clientIdstring · uuidOptional
startPeriodstring · date-timeOptional
endPeriodstring · date-timeOptional
postingDatestring · date-timeOptional
subTotalnumber · doubleOptional
totalnumber · doubleOptional
dateCreatedstring · date-timeOptional
fromNamestring · nullableOptional
fromAddress1string · nullableOptional
fromAddress2string · nullableOptional
fromCitystring · nullableOptional
fromStateProvincestring · nullableOptional
fromZipPostalCodestring · nullableOptional
fromCountrystring · nullableOptional
billToNamestring · nullableOptional
billToAddress1string · nullableOptional
billToAddress2string · nullableOptional
billToCitystring · nullableOptional
billToStateProvincestring · nullableOptional
billToZipPostalCodestring · nullableOptional
billToCountrystring · nullableOptional
404
Not Found
get/client-invoices/{id}
GET /client-invoices/{id} HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"invoiceNumber": "text",
"clientId": "123e4567-e89b-12d3-a456-426614174000",
"startPeriod": "2026-01-01T00:00:00.000Z",
"endPeriod": "2026-01-01T00:00:00.000Z",
"postingDate": "2026-01-01T00:00:00.000Z",
"subTotal": 1,
"total": 1,
"dateCreated": "2026-01-01T00:00:00.000Z",
"client": {
"description": "text",
"ssccCompanyId": "text",
"companyName": "text",
"email": "text",
"phone": "text",
"contactPerson": "text",
"taxId": "text",
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
},
"fromName": "text",
"fromAddress1": "text",
"fromAddress2": "text",
"fromCity": "text",
"fromStateProvince": "text",
"fromZipPostalCode": "text",
"fromCountry": "text",
"billToName": "text",
"billToAddress1": "text",
"billToAddress2": "text",
"billToCity": "text",
"billToStateProvince": "text",
"billToZipPostalCode": "text",
"billToCountry": "text",
"lines": [
{
"lineNumber": 1,
"item": "text",
"description": "text",
"additionalCharges": "text",
"rate": 1,
"quantity": 1
}
]
}Last updated
